#ifndef FLOYD_WARSHALL_TEST_H_
#define FLOYD_WARSHALL_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class GraphFloydWarshallTest : public CppUnit::TestFixture
{
	CPPUNIT_TEST_SUITE(GraphFloydWarshallTest);
	CPPUNIT_TEST(testSimple);
	CPPUNIT_TEST(testCycle);
	CPPUNIT_TEST(testMultiEdge);
	CPPUNIT_TEST(testNegativeValue);
	CPPUNIT_TEST(testNegativeCycle);
	CPPUNIT_TEST_SUITE_END();

public:
	void testSimple();
	void testCycle();
	void testMultiEdge();
	void testNegativeValue();
	void testNegativeCycle();
};

#endif // FLOYD_WARSHALL_TEST_H_
